• Home
  • History
  • Annotate
  • Raw
  • Download
  • only in /macosx-10.9.5/bind9-45.100/bind9/

Lines Matching refs:echo

37 progname=`echo "$progpath" | $SED $basename`
63 # Check that we have a working $echo.
67 elif test "X$1" = X--fallback-echo; then
70 elif test "X`($echo '\t') 2>/dev/null`" = 'X\t'; then
71 # Yippee, $echo works!
74 # Restart under the correct shell, and then maybe $echo will work.
78 if test "X$1" = X--fallback-echo; then
79 # used as fallback echo
99 case `echo X|tr X '\101'` in
137 $echo "$modename: not configured to build any kind of library" 1>&2
138 $echo "Fatal configuration error. See the $PACKAGE docs for more information." 1>&2
148 show="$echo"
190 $echo "cannot create temporary directory \`$my_tmpdir'" 1>&2
195 $echo "X$my_tmpdir" | $Xsed
241 $echo $win32_libid_type
256 base_compiler=`set -- "$@"; echo $1`
280 " $CC "* | "$CC "* | " `$echo $CC` "* | "`$echo $CC` "* | " $CC_quoted"* | "$CC_quoted "* | " `$echo $CC_quoted` "* | "`$echo $CC_quoted` "*) ;;
299 " $CC "* | "$CC "* | " `$echo $CC` "* | "`$echo $CC` "* | " $CC_quoted"* | "$CC_quoted "* | " `$echo $CC_quoted` "* | "`$echo $CC_quoted` "*)
328 $echo "$modename: unable to infer tagged configuration"
329 $echo "$modename: specify a tag with \`--tag'" 1>&2
332 # $echo "$modename: using $tagname tagged configuration"
351 $echo "$modename: ERROR: object name conflicts: $f_ex_an_ar_dir/$f_ex_an_ar_oldlib" 1>&2
382 my_xlib=`$echo "X$my_xlib" | $Xsed -e 's%^.*/%%'`
412 darwin_base_archive=`$echo "X$darwin_archive" | $Xsed -e 's%^.*/%%'`
415 darwin_arches=`echo "$darwin_arches" | $SED -e 's/.*are://'`
465 -*=*) optarg=`$echo "X$arg" | $Xsed -e 's/[-_a-zA-Z0-9]*=//'` ;;
482 $echo "$progname: invalid tag name: $tagname" 1>&2
498 $echo "$progname: ignoring unknown tag $tagname" 1>&2
520 echo "\
539 $echo "$progname: enabling shell trace mode"
549 $echo "host: $host"
551 $echo "enable shared libraries"
553 $echo "disable shared libraries"
556 $echo "enable static libraries"
558 $echo "disable static libraries"
593 $echo "$modename: unrecognized option \`$arg'" 1>&2
594 $echo "$help" 1>&2
606 $echo "$modename: option \`$prevopt' requires an argument" 1>&2
607 $echo "$help" 1>&2
619 build_old_libs=`case $build_libtool_libs in yes) echo no;; *) echo yes;; esac`
632 $echo "*** Warning: inferring the mode of operation is deprecated." 1>&2
633 $echo "*** Future versions of Libtool will require --mode=MODE be specified." 1>&2
663 $echo "$modename: warning: cannot infer operation mode from \`$nonopt'" 1>&2
665 $echo "$modename: warning: cannot infer operation mode without MODE-ARGS" 1>&2
674 $echo "$modename: unrecognized option \`-dlopen'" 1>&2
675 $echo "$help" 1>&2
717 $echo "$modename: you cannot specify \`-o' more than once" 1>&2
740 args=`$echo "X$arg" | $Xsed -e "s/^-Wc,//"`
757 lastarg=`$echo "X$lastarg" | $Xsed -e "s/^ //"`
776 lastarg=`$echo "X$lastarg" | $Xsed -e "$sed_quote_subst"`
795 $echo "$modename: you must specify an argument for -Xcompile"
799 $echo "$modename: you must specify a target with \`-o'" 1>&2
804 [ -z "$libobj" ] && libobj=`$echo "X$srcfile" | $Xsed -e 's%^.*/%%'`
829 libobj=`$echo "X$libobj" | $Xsed -e "s/\.$xform$/.lo/"`
832 *.lo) obj=`$echo "X$libobj" | $Xsed -e "$lo2o"` ;;
834 $echo "$modename: cannot determine name of library object from \`$libobj'" 1>&2
860 qlibobj=`$echo "X$libobj" | $Xsed -e "$sed_quote_subst"`
866 && $echo "X$libobj" | grep '[]~#^*{};<>?"'"'"' &()|`$[]' \
867 && $echo "$modename: libobj name \`$libobj' may not contain shell special characters."
868 objname=`$echo "X$obj" | $Xsed -e 's%^.*/%%'`
869 xdir=`$echo "X$obj" | $Xsed -e 's%/[^/]*$%%'`
878 $echo "$modename: you must specify a compilation command" 1>&2
879 $echo "$help" 1>&2
907 output_obj=`$echo "X$srcfile" | $Xsed -e 's%^.*/%%' -e 's%\.[^.]*$%%'`.${objext}
926 $echo "\
940 $echo "$srcfile" > "$lockfile"
946 qsrcfile=`$echo "X$srcfile" | $Xsed -e "$sed_quote_subst"`
1003 $echo "\
1075 $echo "\
1212 $echo "$modename: warning: complete static linking is impossible in this configuration" 1>&2
1248 qarg=\"`$echo "X$arg" | $Xsed -e "$sed_quote_subst"`\" ### testsuite: skip nested quoting test
1307 $echo "$modename: symbol file \`$arg' does not exist"
1359 $echo "$modename: cannot find name of object for \`$arg'" 1>&2
1364 xdir=`$echo "X$arg" | $Xsed -e 's%/[^/]*$%%'`
1417 $echo "$modename: \`$arg' is not a valid libtool object" 1>&2
1423 xdir=`$echo "X$arg" | $Xsed -e 's%/[^/]*$%%'`
1430 pic_object=`$echo "X${xdir}${objdir}/${arg}" | $Xsed -e "$lo2o"`
1431 non_pic_object=`$echo "X${xdir}${arg}" | $Xsed -e "$lo2o"`
1438 $echo "$modename: link input file \`$save_arg' does not exist"
1450 $echo "$modename: only absolute run-paths are allowed" 1>&2
1524 $echo "$modename: \`-allow-undefined' is deprecated because it is the default" 1>&2
1550 $echo "$modename: more than one -exported-symbols argument is not allowed"
1591 dir=`$echo "X$arg" | $Xsed -e 's/^-L//'`
1598 $echo "$modename: cannot determine absolute directory name of \`$dir'" 1>&2
1614 testbindir=`$echo "X$dir" | $Xsed -e 's*/lib$*/bin*'`
1713 arg=`$echo "X$arg" | $Xsed -e "$sed_quote_subst"`
1740 $echo "$modename: warning: \`-no-install' is ignored for $host" 1>&2
1741 $echo "$modename: warning: assuming \`-no-fast-install' instead" 1>&2
1782 dir=`$echo "X$arg" | $Xsed -e 's/^-R//'`
1787 $echo "$modename: only absolute run-paths are allowed" 1>&2
1823 args=`$echo "X$arg" | $Xsed -e "$sed_quote_subst" -e 's/^-Wc,//'`
1837 arg=`$echo "X$arg" | $Xsed -e "s/^ //"`
1841 args=`$echo "X$arg" | $Xsed -e "$sed_quote_subst" -e 's/^-Wl,//'`
1856 arg=`$echo "X$arg" | $Xsed -e "s/^ //"`
1878 arg=`$echo "X$arg" | $Xsed -e "$sed_quote_subst"`
1910 $echo "$modename: cannot find name of object for \`$arg'" 1>&2
1915 xdir=`$echo "X$arg" | $Xsed -e 's%/[^/]*$%%'`
1968 $echo "$modename: \`$arg' is not a valid libtool object" 1>&2
1974 xdir=`$echo "X$arg" | $Xsed -e 's%/[^/]*$%%'`
1981 pic_object=`$echo "X${xdir}${objdir}/${arg}" | $Xsed -e "$lo2o"`
1982 non_pic_object=`$echo "X${xdir}${arg}" | $Xsed -e "$lo2o"`
2017 arg=`$echo "X$arg" | $Xsed -e "$sed_quote_subst"`
2034 $echo "$modename: the \`$prevarg' option requires an argument" 1>&2
2035 $echo "$help" 1>&2
2047 outputname=`$echo "X$output" | $Xsed -e 's%^.*/%%'`
2052 eval shlib_search_path=\`\$echo \"X\${$shlibpath_var}\" \| \$Xsed -e \'s/:/ /g\'\`
2059 output_objdir=`$echo "X$output" | $Xsed -e 's%/[^/]*$%%'`
2078 $echo "$modename: you must specify an output file" 1>&2
2079 $echo "$help" 1>&2
2141 $echo "$modename: libraries can \`-dlopen' only libtool libraries: $file" 1>&2
2214 $echo "$modename: warning: \`-l' is ignored for archives/objects" 1>&2
2217 name=`$echo "X$deplib" | $Xsed -e 's/^-l//'`
2266 ladir=`$echo "X$lib" | $Xsed -e 's%/[^/]*$%%'`
2291 newlib_search_path="$newlib_search_path "`$echo "X$deplib" | $Xsed -e 's/^-L//'`
2304 newlib_search_path="$newlib_search_path "`$echo "X$deplib" | $Xsed -e 's/^-L//'`
2307 $echo "$modename: warning: \`-L' is ignored for archives/objects" 1>&2
2314 dir=`$echo "X$deplib" | $Xsed -e 's/^-R//'`
2337 if eval $echo \"$deplib\" 2>/dev/null \
2348 $echo
2349 $echo "*** Warning: Trying to link with static lib archive $deplib."
2350 $echo "*** I have the capability to make that library automatically link in when"
2351 $echo "*** you link to this library. But I can only do this if you have a"
2352 $echo "*** shared version of the library, which you do not appear to have"
2353 $echo "*** because the file extensions .$libext of this argument makes me believe"
2354 $echo "*** that it is just a static archive that I should not used here."
2356 $echo
2357 $echo "*** Warning: Linking the shared library $output against the"
2358 $echo "*** static library $deplib is not portable!"
2397 $echo "$modename: cannot find the library \`$lib' or unhandled argument \`$deplib'" 1>&2
2404 $echo "$modename: \`$lib' is not a valid libtool archive" 1>&2
2408 ladir=`$echo "X$lib" | $Xsed -e 's%/[^/]*$%%'`
2442 $echo "$modename: cannot find name of link library for \`$lib'" 1>&2
2459 $echo "$modename: \`$lib' is not a convenience library" 1>&2
2472 $echo "$modename: cannot find name of link library for \`$lib'" 1>&2
2479 $echo "$modename: cannot -dlopen a convenience library: \`$lib'" 1>&2
2502 $echo "$modename: warning: cannot determine absolute directory name of \`$ladir'" 1>&2
2503 $echo "$modename: passing it literally to the linker, although it might fail" 1>&2
2508 laname=`$echo "X$lib" | $Xsed -e 's%^.*/%%'`
2513 $echo "$modename: warning: library \`$lib' was moved." 1>&2
2535 name=`$echo "X$laname" | $Xsed -e 's/\.la$//' -e 's/^lib//'`
2540 $echo "$modename: cannot -dlpreopen a convenience library: \`$lib'" 1>&2
2582 -L*) newlib_search_path="$newlib_search_path "`$echo "X$deplib" | $Xsed -e 's/^-L//'`;; ### testsuite: skip nested quoting test
2665 $echo
2667 $echo "*** Warning: Linking the executable $output against the loadable module"
2669 $echo "*** Warning: Linking the shared library $output against the loadable module"
2671 $echo "*** $linklib is not portable!"
2703 libname=`eval \\$echo \"$libname_spec\"`
2722 soname=`$echo $soroot | ${SED} -e 's/^.*\///'`
2723 newlib="libimp-`$echo $soname | ${SED} 's/^lib//;s/\.dll$//'`.a"
2777 $echo "** Warning, lib $linklib is a module, not a shared library"
2779 $echo
2780 $echo "** And there doesn't seem to be a static archive available"
2781 $echo "** The link will probably fail, sorry"
2825 $echo "$modename: configuration error: unsupported hardcode properties"
2917 $echo
2918 $echo "*** Warning: This system can not link to static lib archive $lib."
2919 $echo "*** I have the capability to make that library automatically link in when"
2920 $echo "*** you link to this library. But I can only do this if you have a"
2921 $echo "*** shared version of the library, which you do not appear to have."
2923 $echo "*** But as you try to build a module library, libtool will still create "
2924 $echo "*** a static module, that should work as long as the dlopening application"
2925 $echo "*** is linked with the -dlopen flag to resolve symbols at runtime."
2927 $echo
2928 $echo "*** However, this would only work if libtool was able to extract symbol"
2929 $echo "*** lists from a program, using \`nm' or equivalent, but libtool could"
2930 $echo "*** not find such a program. So, this module is probably useless."
2931 $echo "*** \`nm' from GNU binutils and a full rebuild may help."
2955 -R*) temp_xrpath=`$echo "X$libdir" | $Xsed -e 's/^-R//'`
2987 dir=`$echo "X$deplib" | $Xsed -e 's%/[^/]*$%%'`
2995 $echo "$modename: warning: cannot determine absolute directory name of \`$dir'" 1>&2
3005 $echo "$modename: \`$deplib' is not a valid libtool archive" 1>&2
3009 $echo "$modename: warning: \`$deplib' seems to be moved" 1>&2
3049 eval tmp_libs=`$echo "X$deplib" | $Xsed -e "s,^\-l,,"`
3180 $echo "$modename: warning: \`-l' and \`-L' are ignored for archives" 1>&2 ;;
3184 $echo "$modename: warning: \`-dlopen' is ignored for archives" 1>&2
3188 $echo "$modename: warning: \`-rpath' is ignored for archives" 1>&2
3192 $echo "$modename: warning: \`-R' is ignored for archives" 1>&2
3196 $echo "$modename: warning: \`-version-info/-version-number' is ignored for archives" 1>&2
3200 $echo "$modename: warning: \`-release' is ignored for archives" 1>&2
3204 $echo "$modename: warning: \`-export-symbols' is ignored for archives" 1>&2
3217 name=`$echo "X$outputname" | $Xsed -e 's/\.la$//' -e 's/^lib//'`
3223 $echo "$modename: libtool library \`$output' must begin with \`lib'" 1>&2
3224 $echo "$help" 1>&2
3229 name=`$echo "X$outputname" | $Xsed -e 's/\.la$//'`
3233 libname=`$echo "X$outputname" | $Xsed -e 's/\.la$//'`
3240 $echo "$modename: cannot build libtool library \`$output' from non-libtool objects on this host:$objs" 2>&1
3243 $echo
3244 $echo "*** Warning: Linking the shared library $output against the non-libtool"
3245 $echo "*** objects $objs is not portable!"
3251 $echo "$modename: warning: \`-dlopen self' is ignored for libtool libraries" 1>&2
3256 $echo "$modename: warning: ignoring multiple \`-rpath's for a libtool library" 1>&2
3273 $echo "$modename: warning: \`-version-info/-version-number' is ignored for convenience libraries" 1>&2
3277 $echo "$modename: warning: \`-release' is ignored for convenience libraries" 1>&2
3287 $echo "$modename: too many parameters to \`-version-info'" 1>&2
3288 $echo "$help" 1>&2
3338 $echo "$modename: CURRENT \`$current' must be a nonnegative integer" 1>&2
3339 $echo "$modename: \`$vinfo' is not valid version information" 1>&2
3347 $echo "$modename: REVISION \`$revision' must be a nonnegative integer" 1>&2
3348 $echo "$modename: \`$vinfo' is not valid version information" 1>&2
3356 $echo "$modename: AGE \`$age' must be a nonnegative integer" 1>&2
3357 $echo "$modename: \`$vinfo' is not valid version information" 1>&2
3363 $echo "$modename: AGE \`$age' is greater than the current interface number \`$current'" 1>&2
3364 $echo "$modename: \`$vinfo' is not valid version information" 1>&2
3456 $echo "$modename: unknown library version type \`$version_type'" 1>&2
3457 $echo "Fatal configuration error. See the $PACKAGE docs for more information." 1>&2
3492 $echo "$modename: warning: undefined symbols not allowed in $host shared libraries" 1>&2
3506 tempremovelist=`$echo "$output_objdir/*"`
3513 if echo $p | $EGREP -e "$precious_files_regex" >/dev/null 2>&1
3534 oldobjs="$objs "`$echo "X$libobjs" | $SP2NL | $Xsed -e '/\.'${libext}'$/d' -e "$lo2o" | $NL2SP`
3539 # lib_search_path=`$echo "$lib_search_path " | ${SED} -e "s% $path % %g"`
3540 # deplibs=`$echo "$deplibs " | ${SED} -e "s% -L$path % %g"`
3541 # dependency_libs=`$echo "$dependency_libs " | ${SED} -e "s% -L$path % %g"`
3658 libname=`eval \\$echo \"$libname_spec\"`
3659 deplib_matches=`eval \\$echo \"$library_names_spec\"`
3666 $echo
3667 $echo "*** Warning: dynamic linker does not accept needed library $i."
3668 $echo "*** I have the capability to make that library automatically link in when"
3669 $echo "*** you link to this library. But I can only do this if you have a"
3670 $echo "*** shared version of the library, which I believe you do not have"
3671 $echo "*** because a test_compile did reveal that the linker did not use it for"
3672 $echo "*** its dynamic dependency list that programs get resolved with at runtime."
3698 libname=`eval \\$echo \"$libname_spec\"`
3699 deplib_matches=`eval \\$echo \"$library_names_spec\"`
3706 $echo
3707 $echo "*** Warning: dynamic linker does not accept needed library $i."
3708 $echo "*** I have the capability to make that library automatically link in when"
3709 $echo "*** you link to this library. But I can only do this if you have a"
3710 $echo "*** shared version of the library, which you do not appear to have"
3711 $echo "*** because a test_compile did reveal that the linker did not use this one"
3712 $echo "*** as a dynamic dependency that programs can get resolved with at runtime."
3717 $echo
3718 $echo "*** Warning! Library $i is needed by this library but I was not able to"
3719 $echo "*** make it link in! You will probably need to install it or some"
3720 $echo "*** library that it depends on before this library will be fully"
3721 $echo "*** functional. Installing it before continuing would be even better."
3745 libname=`eval \\$echo \"$libname_spec\"`
3764 *) potlib=`$echo "X$potlib" | $Xsed -e 's,[^/]*$,,'`"$potliblink";;
3779 $echo
3780 $echo "*** Warning: linker path does not have real file for library $a_deplib."
3781 $echo "*** I have the capability to make that library automatically link in when"
3782 $echo "*** you link to this library. But I can only do this if you have a"
3783 $echo "*** shared version of the library, which you do not appear to have"
3784 $echo "*** because I did check the linker path looking for a file starting"
3786 $echo "*** with $libname but no candidates were found. (...for file magic test)"
3788 $echo "*** with $libname and none of the candidates passed a file format test"
3789 $echo "*** using a file magic. Last file checked: $potlib"
3814 libname=`eval \\$echo \"$libname_spec\"`
3819 if eval $echo \"$potent_lib\" 2>/dev/null \
3831 $echo
3832 $echo "*** Warning: linker path does not have real file for library $a_deplib."
3833 $echo "*** I have the capability to make that library automatically link in when"
3834 $echo "*** you link to this library. But I can only do this if you have a"
3835 $echo "*** shared version of the library, which you do not appear to have"
3836 $echo "*** because I did check the linker path looking for a file starting"
3838 $echo "*** with $libname but no candidates were found. (...for regex pattern test)"
3840 $echo "*** with $libname and none of the candidates passed a file format test"
3841 $echo "*** using a regex pattern. Last file checked: $potlib"
3852 tmp_deplibs=`$echo "X $deplibs" | $Xsed -e 's/ -lc$//' \
3857 tmp_deplibs=`$echo "X $tmp_deplibs" | ${SED} -e "1s,^X,," -e "s,$i,,"`
3860 if $echo "X $tmp_deplibs" | $Xsed -e 's/[ ]//g' \
3862 $echo
3864 $echo "*** Warning: inter-library dependencies are not supported in this platform."
3866 $echo "*** Warning: inter-library dependencies are not known to be supported."
3868 $echo "*** All declared inter-library dependencies are being dropped."
3882 newdeplibs=`$echo "X $newdeplibs" | $Xsed -e 's/ -lc / -framework System /'`
3888 $echo
3889 $echo "*** Warning: libtool could not satisfy all declared inter-library"
3890 $echo "*** dependencies of module $libname. Therefore, libtool will create"
3891 $echo "*** a static module, that should work as long as the dlopening"
3892 $echo "*** application is linked with the -dlopen flag."
3894 $echo
3895 $echo "*** However, this would only work if libtool was able to extract symbol"
3896 $echo "*** lists from a program, using \`nm' or equivalent, but libtool could"
3897 $echo "*** not find such a program. So, this module is probably useless."
3898 $echo "*** \`nm' from GNU binutils and a full rebuild may help."
3908 $echo "*** The inter-library dependencies that have been dropped here will be"
3909 $echo "*** automatically added whenever a program is linked with this library"
3910 $echo "*** or is declared to -dlopen it."
3913 $echo
3914 $echo "*** Since this library must not contain undefined symbols,"
3915 $echo "*** because either the platform does not support them or"
3916 $echo "*** it was explicitly requested with -no-undefined,"
3917 $echo "*** libtool will only create a static version of it."
4054 test -z "$pic_flag" && libobjs=`$echo "X$libobjs" | $SP2NL | $Xsed -e "$lo2o" | $NL2SP`
4092 $run eval '$echo "X$include_expsyms" | $SP2NL >> "$export_symbols"'
4154 $echo "creating reloadable object files..."
4168 output_la=`$echo "X$output" | $Xsed -e "$basename"`
4229 $echo "creating a temporary reloadable object file: $output"
4320 $echo "$modename: warning: \`-l' and \`-L' are ignored for objects" 1>&2 ;;
4324 $echo "$modename: warning: \`-dlopen' is ignored for objects" 1>&2
4328 $echo "$modename: warning: \`-rpath' is ignored for objects" 1>&2
4332 $echo "$modename: warning: \`-R' is ignored for objects" 1>&2
4336 $echo "$modename: warning: \`-version-info' is ignored for objects" 1>&2
4340 $echo "$modename: warning: \`-release' is ignored for objects" 1>&2
4346 $echo "$modename: cannot build library object \`$output' from non-libtool objects" 1>&2
4350 obj=`$echo "X$output" | $Xsed -e "$lo2o"`
4375 reload_conv_objs=$reload_objs\ `$echo "X$tmp_whole_archive_flags" | $Xsed -e 's|,| |g'`
4386 reload_objs="$objs$old_deplibs "`$echo "X$libobjs" | $SP2NL | $Xsed -e '/\.'${libext}$'/d' -e '/\.lib$/d' -e "$lo2o" | $NL2SP`" $reload_conv_objs" ### testsuite: skip nested quoting test
4417 # $show "echo timestamp > $libobj"
4418 # $run eval "echo timestamp > $libobj" || exit $?
4447 *cygwin*) output=`$echo $output | ${SED} -e 's,.exe$,,;s,$,.exe,'` ;;
4450 $echo "$modename: warning: \`-version-info' is ignored for programs" 1>&2
4454 $echo "$modename: warning: \`-release' is ignored for programs" 1>&2
4460 $echo "$modename: warning: \`AC_LIBTOOL_DLOPEN' not used. Assuming no dlopen support."
4467 compile_deplibs=`$echo "X $compile_deplibs" | $Xsed -e 's/ -lc / -framework System /'`
4468 finalize_deplibs=`$echo "X $finalize_deplibs" | $Xsed -e 's/ -lc / -framework System /'`
4555 testbindir=`$echo "X$libdir" | $Xsed -e 's*/lib$*/bin*'`
4613 compile_command=`$echo "X$compile_command" | $SP2NL | $Xsed -e "$lo2o" | $NL2SP`
4614 finalize_command=`$echo "X$finalize_command" | $SP2NL | $Xsed -e "$lo2o" | $NL2SP`
4622 $echo "$modename: not configured to extract global symbols from dlpreopened files" 1>&2
4639 test -z "$run" && $echo > "$output_objdir/$dlsyms" "\
4656 test -z "$run" && $echo ': @PROGRAM@ ' > "$nlist"
4659 progfiles=`$echo "X$objs$old_deplibs" | $SP2NL | $Xsed -e "$lo2o" | $NL2SP`
4682 $run eval "echo EXPORTS "'> "$output_objdir/$outputname.def"'
4692 $run eval "echo EXPORTS "'> "$output_objdir/$outputname.def"'
4701 name=`$echo "$arg" | ${SED} -e 's%^.*/%%'`
4702 $run eval '$echo ": $name " >> "$nlist"'
4731 $echo '/* NONE */' >> "$output_objdir/$dlsyms"
4734 $echo >> "$output_objdir/$dlsyms" "\
4750 $echo >> "$output_objdir/$dlsyms" "\
4758 $echo >> "$output_objdir/$dlsyms" "\
4765 $echo >> "$output_objdir/$dlsyms" "\
4775 $echo >> "$output_objdir/$dlsyms" "\
4823 compile_command=`$echo "X$compile_command" | $SP2NL | $Xsed -e "s%@SYMFILE@%$output_objdir/${outputname}.def $output_objdir/${outputname}S.${objext}%" | $NL2SP`
4824 finalize_command=`$echo "X$finalize_command" | $SP2NL | $Xsed -e "s%@SYMFILE@%$output_objdir/${outputname}.def $output_objdir/${outputname}S.${objext}%" | $NL2SP`
4826 compile_command=`$echo "X$compile_command" | $SP2NL | $Xsed -e "s%@SYMFILE@%$output_objdir/${outputname}S.${objext}%" | $NL2SP`
4827 finalize_command=`$echo "X$finalize_command" | $SP2NL | $Xsed -e "s%@SYMFILE@%$output_objdir/${outputname}S.${objext}%" | $NL2SP`
4831 compile_command=`$echo "X$compile_command" | $SP2NL | $Xsed -e "s%@SYMFILE@%$output_objdir/${outputname}S.${objext}%" | $NL2SP`
4832 finalize_command=`$echo "X$finalize_command" | $SP2NL | $Xsed -e "s%@SYMFILE@%$output_objdir/${outputname}S.${objext}%" | $NL2SP`
4840 $echo "$modename: unknown suffix for \`$dlsyms'" 1>&2
4850 compile_command=`$echo "X$compile_command" | $SP2NL | $Xsed -e "s% @SYMFILE@%%" | $NL2SP`
4851 finalize_command=`$echo "X$finalize_command" | $SP2NL | $Xsed -e "s% @SYMFILE@%%" | $NL2SP`
4856 compile_command=`$echo "X$compile_command" | $SP2NL | $Xsed -e 's%@OUTPUT@%'"$output"'%g' | $NL2SP`
4923 link_command=`$echo "X$link_command" | $Xsed -e 's%@OUTPUT@%'"$output"'%g'`
4937 $echo "$modename: warning: this platform does not like uninstalled shared libraries" 1>&2
4938 $echo "$modename: \`$output' will be relinked during installation" 1>&2
4943 relink_command=`$echo "X$compile_var$compile_command$compile_rpath" | $SP2NL | $Xsed -e 's%@OUTPUT@%\$progdir/\$file%g' | $NL2SP`
4955 link_command=`$echo "X$link_command" | $Xsed -e 's%@OUTPUT@%'"$output_objdir/$outputname"'%g'`
4975 var_value=`$echo "X$var_value" | $Xsed -e "$sed_quote_subst"`
4980 relink_command=`$echo "X$relink_command" | $SP2NL | $Xsed -e "$sed_quote_subst" | $NL2SP`
4983 # Quote $echo for shipping.
4984 if test "X$echo" = "X$SHELL $progpath --fallback-echo"; then
4986 [\\/]* | [A-Za-z]:[\\/]*) qecho="$SHELL $progpath --fallback-echo";;
4987 *) qecho="$SHELL `pwd`/$progpath --fallback-echo";;
4989 qecho=`$echo "X$qecho" | $Xsed -e "$sed_quote_subst"`
4991 qecho=`$echo "X$echo" | $Xsed -e "$sed_quote_subst"`
4999 *.exe) output=`$echo $output|${SED} 's,.exe$,,'` ;;
5005 outputname=`$echo $outputname|${SED} 's,.exe$,,'` ;;
5370 $echo > $output "\
5412 # When we are sourced in execute mode, \$file and \$echo are already set.
5414 echo=\"$qecho\"
5416 # Make sure echo works.
5420 elif test \"X\`(\$echo '\t') 2>/dev/null\`\" = 'X\t'; then
5421 # Yippee, \$echo works!
5424 # Restart under the correct shell, and then maybe \$echo will work.
5429 $echo >> $output "\
5432 thisdir=\`\$echo \"X\$file\" | \$Xsed -e 's%/[^/]*$%%'\`
5438 destdir=\`\$echo \"X\$file\" | \$Xsed -e 's%/[^/]*\$%%'\`
5448 file=\`\$echo \"X\$file\" | \$Xsed -e 's%^.*/%%'\`
5458 $echo >> $output "\
5474 $echo >> $output "\
5480 $echo \"\$relink_command_output\" >&2
5492 $echo >> $output "\
5498 $echo >> $output "\
5504 $echo >> $output "\
5510 $shlibpath_var=\`\$echo \"X\$$shlibpath_var\" | \$Xsed -e 's/::*\$//'\`
5518 $echo >> $output "\
5524 $echo >> $output "\
5531 $echo >> $output "\
5537 $echo >> $output "\
5542 $echo >> $output "\
5543 \$echo \"\$0: cannot exec \$program \$*\"
5548 \$echo \"\$0: error: \\\`\$progdir/\$program' does not exist\" 1>&2
5549 \$echo \"This script is just a wrapper for \$program.\" 1>&2
5550 $echo \"See the $PACKAGE documentation for more information.\" 1>&2
5598 $echo "X$obj" | $Xsed -e 's%^.*/%%'
5602 $echo "copying selected object files to avoid basename conflicts..."
5623 objbase=`$echo "X$obj" | $Xsed -e 's%^.*/%%'`
5654 $echo "using piecewise archive linking..."
5723 var_value=`$echo "X$var_value" | $Xsed -e "$sed_quote_subst"`
5729 relink_command=`$echo "X$relink_command" | $SP2NL | $Xsed -e "$sed_quote_subst" | $NL2SP`
5748 name=`$echo "X$deplib" | $Xsed -e 's%^.*/%%'`
5751 $echo "$modename: \`$deplib' is not a valid libtool archive" 1>&2
5762 name=`$echo "X$lib" | $Xsed -e 's%^.*/%%'`
5765 $echo "$modename: \`$lib' is not a valid libtool archive" 1>&2
5773 name=`$echo "X$lib" | $Xsed -e 's%^.*/%%'`
5776 $echo "$modename: \`$lib' is not a valid libtool archive" 1>&2
5808 $echo > $output "\
5845 $echo >> $output "\
5868 $echo "X$nonopt" | grep shtool > /dev/null; then
5870 arg=`$echo "X$nonopt" | $Xsed -e "$sed_quote_subst"`
5886 arg=`$echo "X$arg" | $Xsed -e "$sed_quote_subst"`
5937 arg=`$echo "X$arg" | $Xsed -e "$sed_quote_subst"`
5947 $echo "$modename: you must specify an install program" 1>&2
5948 $echo "$help" 1>&2
5953 $echo "$modename: the \`$prev' option requires an argument" 1>&2
5954 $echo "$help" 1>&2
5960 $echo "$modename: no file or destination specified" 1>&2
5962 $echo "$modename: you must specify a destination" 1>&2
5964 $echo "$help" 1>&2
5969 dest=`$echo "X$dest" | $Xsed -e 's%/$%%'`
5977 destdir=`$echo "X$dest" | $Xsed -e 's%/[^/]*$%%'`
5979 destname=`$echo "X$dest" | $Xsed -e 's%^.*/%%'`
5984 $echo "$modename: \`$dest' is not a directory" 1>&2
5985 $echo "$help" 1>&2
5996 $echo "$modename: \`$destdir' must be an absolute directory name" 1>&2
5997 $echo "$help" 1>&2
6025 $echo "$modename: \`$file' is not a valid libtool archive" 1>&2
6026 $echo "$help" 1>&2
6053 dir=`$echo "X$file" | $Xsed -e 's%/[^/]*$%%'`/
6059 inst_prefix_dir=`$echo "$destdir" | $SED "s%$libdir\$%%"`
6068 $echo "$modename: error: cannot install \`$file' to a directory not ending in $libdir" 1>&2
6074 relink_command=`$echo "$relink_command" | $SP2NL | $SED "s%@inst_prefix_dir@%-inst-prefix-dir $inst_prefix_dir%" | $NL2SP`
6076 relink_command=`$echo "$relink_command" | $SP2NL | $SED "s%@inst_prefix_dir@%%" | $NL2SP`
6079 $echo "$modename: warning: relinking \`$file'" 1>&2
6083 $echo "$modename: error: relink \`$file' with the above command before installing it" 1>&2
6143 name=`$echo "X$file" | $Xsed -e 's%^.*/%%'`
6159 destfile=`$echo "X$file" | $Xsed -e 's%^.*/%%'`
6166 staticdest=`$echo "X$destfile" | $Xsed -e "$lo2o"`
6173 $echo "$modename: cannot copy a libtool object to \`$destfile'" 1>&2
6174 $echo "$help" 1>&2
6188 staticobj=`$echo "X$file" | $Xsed -e "$lo2o"`
6201 destfile=`$echo "X$file" | $Xsed -e 's%^.*/%%'`
6212 file=`$echo $file|${SED} 's,.exe$,,'`
6221 wrapper=`$echo $file | ${SED} -e 's,.exe$,,'`
6244 $echo "$modename: invalid libtool wrapper script \`$wrapper'" 1>&2
6259 libfile="$libdir/"`$echo "X$lib" | $Xsed -e 's%^.*/%%g'` ### testsuite: skip nested quoting test
6261 $echo "$modename: warning: \`$lib' has not been installed in \`$libdir'" 1>&2
6282 file=`$echo "X$file$stripped_ext" | $Xsed -e 's%^.*/%%'`
6285 relink_command=`$echo "X$relink_command" | $SP2NL | $Xsed -e 's%@OUTPUT@%'"$outputname"'%g' | $NL2SP`
6290 $echo "$modename: error: relink \`$file' with the above command before installing it" 1>&2
6296 $echo "$modename: warning: cannot relink \`$file'" 1>&2
6300 file=`$echo "X$file$stripped_ext" | $Xsed -e "s%\([^/]*\)$%$objdir/\1%"`
6316 destfile=`$echo $destfile | ${SED} -e 's,.exe$,,'`
6329 name=`$echo "X$file" | $Xsed -e 's%^.*/%%'`
6355 $echo "$modename: warning: remember to run \`$progname --finish$future_libdirs'" 1>&2
6405 $echo "X----------------------------------------------------------------------" | $Xsed
6406 $echo "Libraries have been installed in:"
6408 $echo " $libdir"
6410 $echo
6411 $echo "If you ever happen to want to link against installed libraries"
6412 $echo "in a given directory, LIBDIR, you must either use libtool, and"
6413 $echo "specify the full pathname of the library, or use the \`-LLIBDIR'"
6414 $echo "flag during linking and do at least one of the following:"
6416 $echo " - add LIBDIR to the \`$shlibpath_var' environment variable"
6417 $echo " during execution"
6420 $echo " - add LIBDIR to the \`$runpath_var' environment variable"
6421 $echo " during linking"
6427 $echo " - use the \`$flag' linker flag"
6430 $echo " - have your system administrator run these commands:$admincmds"
6433 $echo " - have your system administrator add LIBDIR to \`/etc/ld.so.conf'"
6435 $echo
6436 $echo "See any operating system documentation about shared libraries for"
6437 $echo "more information, such as the ld(1) and ld.so(8) manual pages."
6438 $echo "X----------------------------------------------------------------------" | $Xsed
6449 $echo "$modename: you must specify a COMMAND" 1>&2
6450 $echo "$help"
6457 $echo "$modename: \`$file' is not a file" 1>&2
6458 $echo "$help" 1>&2
6468 $echo "$modename: \`$lib' is not a valid libtool archive" 1>&2
6469 $echo "$help" 1>&2
6486 test -n "$library_names" && $echo "$modename: warning: \`$file' was not linked with \`-export-dynamic'"
6490 dir=`$echo "X$file" | $Xsed -e 's%/[^/]*$%%'`
6497 $echo "$modename: cannot find \`$dlname' in \`$dir' or \`$dir/$objdir'" 1>&2
6505 dir=`$echo "X$file" | $Xsed -e 's%/[^/]*$%%'`
6510 $echo "$modename: warning \`-dlopen' is ignored for non-libtool libraries and objects" 1>&2
6552 file=`$echo "X$file" | $Xsed -e "$sed_quote_subst"`
6575 eval "\$echo \"\$shlibpath_var=\$$shlibpath_var\""
6576 $echo "export $shlibpath_var"
6578 $echo "$cmd$args"
6605 $echo "$modename: you must specify an RM program" 1>&2
6606 $echo "$help" 1>&2
6614 dir=`$echo "X$file" | $Xsed -e 's%/[^/]*$%%'`
6621 name=`$echo "X$file" | $Xsed -e 's%^.*/%%'`
6731 file=`$echo $file|${SED} 's,.exe$,,'`
6732 noexename=`$echo $name|${SED} 's,.exe$,,'`
6773 $echo "$modename: you must specify a MODE" 1>&2
6774 $echo "$generic_help" 1>&2
6780 $echo "$modename: invalid operation mode \`$mode'" 1>&2
6781 $echo "$generic_help" 1>&2
6793 "") $echo \
6828 $echo \
6842 $echo \
6863 $echo \
6883 $echo \
6895 $echo \
6908 $echo \
6965 $echo \
6979 $echo "$modename: invalid operation mode \`$mode'" 1>&2
6980 $echo "$help" 1>&2
6985 $echo
6986 $echo "Try \`$modename --help' for more information about other modes."